W3C home > Mailing lists > Public > www-validator@w3.org > April 2004

Bug Report + Patch: Config::General is required, but is not listed in the prerequisites.

From: David Dorward <david@dorward.me.uk>
Date: Sat, 17 Apr 2004 10:45:44 +0100
To: www-validator@w3.org
Message-Id: <1082195143.6262.15.camel@localhost>

I have just locally installed the Markup Validator from CVS on my Gentoo
Linux system.

The documentation (<http://validator.w3.org:8001/source/#prereq>) lists
a number of Perl modules which are prerequisites, but this appears to be
incomplete.

I had to install Config::General in addition to the modules listed.

Judging from the mailing list archives, it appears that the config file
format was changed between February and 0.6.5 b2 but the documentation
not updated.

I can not find any mention of this in Bugzilla.

A diff file to correct [Validator]/htdocs/source/index.html follows.

============ CUT HERE ==============
202a203,206
>          <li>
>             <a
href="http://search.cpan.org/dist/Config-General/">Config-General</a>
>          </li>
>          </li>
============ CUT HERE ==============

-- 
David Dorward       <http://blog.dorward.me.uk/>   <http://dorward.me.uk/>
Received on Saturday, 17 April 2004 05:43:46 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Wednesday, 25 April 2012 12:14:13 GMT